@import "variables";

.sidebar-navigation {

  &.navigation-bar {
    display: flex;
    min-width: -webkit-min-content;
    flex-direction: column;
    align-content: flex-start;

    @include media-breakpoint-down(sm) {
      flex-direction: row;
      justify-content: space-between;
      height: auto;

    }
  }

  &.navigation-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    margin-bottom: 20px;

    width: 110px;
    height: 110px;

    @include media-breakpoint-down(sm) {
      width: 30%;
      min-width: -webkit-min-content;
      height: auto;

      &:not(:last-child) {
        margin-right: 10px;

      }
    }
  }

  &.navigation-link-logo {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    width: 110px;
    height: 110px;
    justify-content: center;
    align-items: center;
    white-space: pre-line;

    @include media-breakpoint-down(sm) {
      flex-direction: row;
      width: 100%;
      height: auto;
    }
  }

  &.navigation-link-icon {
    display: block;
    font-size: 40px;
    padding: 10px;
  }

  &.navigation-text {
    display: table-caption;
    text-align: center;
  }
}

.topbar-navigation {

  &.topbar {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    font-size: 30px;

    @include media-breakpoint-down(sm) {
    }
  }

  &.navigation-title {

  }

  &.navigation-bar {
  }

  &.navigation-item {

    &:not(:last-child) {
      margin-right: 5px;
    }
  }
}

